@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;900&family=Raleway:ital,wght@0,100..900;1,100..900&family=Space+Grotesk:wght@300..700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Space Grotesk", serif;
  color: white;
}
:root {
  --maincolor: #151515;
  --hover-underlineclr: #4ee1a0;
  --design: #242424;
  --textcolor: #ffffff;
  --extracolor: #d9d9d9;
}
body {
  background-color: black;
  /* width: 80%;
  margin: auto; */
}
header {
  width: 80%;
  margin: auto;
  position: relative;
}
main {
  width: 80%;
  margin: auto;
}
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* background-color: blueviolet; */
  padding: 15px 0px;
  /* background: transparent; */
  /* z-index: 1000; */
}
.logo {
  font-size: 32px;
}
.profiles a {
  margin-right: 20px;
  /* z-index: 1000; */
}
.profiles a i {
  font-size: 22px;
}
.profiles a img {
  height: 22px;
  width: 24px;
}
.profiles a img:hover {
  color: #4ee1a0;
}
.profiles a i:hover {
  color: var(--hover-underlineclr);
  /* background-color: #4ee1a0; */
}
/* -------------------------------------- */
/* hero -area start */
.hero-area {
  display: flex;
  align-items: center;
  /* justify-content: center;*/
  justify-content: space-around;
}
.left-txt h1 {
  font-size: 60px;
}
.left-txt h1 > span {
  text-decoration-line: underline;
  text-decoration-color: var(--hover-underlineclr);
  text-underline-position: under;
}
.left-txt p {
  width: 380px;
  line-height: 24px;
  margin: 25px 0px 35px 0px;
}
.left-txt a {
  text-decoration-color: var(--hover-underlineclr);
  text-underline-position: under;
  text-underline-offset: 6px;
}

.left-txt a:hover {
  color: var(--hover-underlineclr);
}

.right-img {
  height: 720px;
  width: 445px;
  /* position: absolute;
  top: 0;
  right: 0; */
}

.right-img img {
  height: 100%;
  width: 100%;
  object-fit: cover;
  /* z-index: -100; */
  background-color: var(--design);
  /* mix-blend-mode: multiply; */
}
/* hero -area end */
/* -------------------------------------- */
.experience {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 40px;
  padding-top: 60px;
  margin-bottom: 130px;
  border-top: 2px solid white;
  margin-top: 60px;
}
.exp h1 {
  margin-bottom: 12px;
}
/* ---------------------------------------- */
/* Project Section Start */

.head {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.head h1 {
  font-size: 54px;
}
.head a {
  text-decoration-color: var(--hover-underlineclr);
  text-underline-position: under;
  text-underline-offset: 8px;
}
.head a:hover {
  color: var(--hover-underlineclr);
}

.projectdetails {
  margin-top: 50px;
  /* display: grid;
  grid-template-columns: repeat(2, 1fr); */
  display: flex;
  flex-wrap: wrap;
  /* justify-content: space-between; */
  /* justify-content: space-evenly; */
  justify-content: space-around;
  gap: 30px;
}
.firstone {
  height: 487px;
  width: 540px;
  /* border: 2px solid blue; */
}
.container {
  position: relative;
}
.firstone img {
  width: 100%;
  object-fit: cover;
  cursor: pointer;
}

.image {
  opacity: 1;
  display: block;
  width: 100%;
  height: auto;
  transition: 0.5s ease;
  backface-visibility: hidden;
}
.viewproject {
  transition: 0.5s ease;
  opacity: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* -ms-transform: translate(-50%, -50%); */
  text-align: center;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.viewproject a {
  /* margin-top: 30px; */
  /* margin-bottom: 80px; */
  text-decoration-color: var(--hover-underlineclr);
  text-underline-position: under;
  text-underline-offset: 6px;
}
.viewproject a:hover {
  color: var(--hover-underlineclr);
}
.container:hover .image {
  opacity: 0.3;
}

.container:hover .viewproject {
  opacity: 1;
}
.firstone h2 {
  margin-top: 10px;
  margin-bottom: 10px;
}

.firstone span {
  margin-right: 15px;
}
/* Project Section end */
footer {
  background-color: var(--design);
  margin-top: 100px;
  width: 100%;
  height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}
.footersec {
  width: 80%;
  margin: auto;
}
.contactform {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 60px;
  margin-top: 80px;
  /* border-bottom: 2px solid white; */
}
.leftcontact {
  width: 400px;
}

.leftcontact h1 {
  font-size: 56px;
  margin-bottom: 30px;
}
.leftcontact p {
  line-height: 24px;
}
.from {
  display: flex;
  flex-direction: column;
  height: 330px;
  width: 450px;
}
.from input {
  padding: 10px;
  margin: 10px 0px 10px 0px;
  outline: none;
  font-size: 16px;
  background: none;
  border: none;
  border-bottom: 1px solid;
}
.from textarea {
  margin-top: 10px;
  padding: 10px;
  background: none;
  border: none;
  border-bottom: 1px solid;
  font-size: 18px;
  outline: none;
}
.from a {
  margin-top: 30px;
  text-align: right;
  text-decoration-color: var(--hover-underlineclr);
  text-underline-position: under;
  text-underline-offset: 6px;
}
.from a:hover {
  color: var(--hover-underlineclr);
}
.footernavbar {
  margin-top: 10px;
  padding-bottom: 10px;
  /* margin-bottom: 10px; */
}
